<?php

// - - - - - - - - - - - - - [ Trabalha data bonita ]
function dataBrasil($datafeia,$config){
    $datafeia = date_create($datafeia);
    if($config=="data"){
        $databonita = date_format($datafeia,'d/m/Y');
    }
    if($config=="datahora"){
        $databonita = date_format($datafeia,'d/m/Y H:m:s');
    }
    return $databonita;
}
function dataEUA($databonita){
    $databonita = str_replace('/','-',$databonita);
    $databonita = date_create($databonita);
    $datafeia = date_format($databonita,'Y-m-d');
    return $datafeia;
}



// - - - - - - - - - - - - - [ normatiza pontuacao de $ valor ]
function valor_limpa_pontuacao($valor){
	$valor = str_replace('.','',$valor);
	$valor = str_replace(',','.',$valor);
	return $valor;
}
function cnpf_limpa_pontuacao($valor){
	$valor = str_replace('.','',$valor);
	$valor = str_replace(',','.',$valor);
	return $valor;
}




// - - - - - - - - - - - - - [ cria url que funcione evitando o bug do urlenconde
function urilencode($string){
	$ret = strtr(
			$string,
			array(
				'/' => '~'
			)
		);
	return $ret;
}
function urildecode($string) {
	$string = strtr(
			$string,
			array(
				'~' => '/'
			)
		);
	return $string;
}